﻿@using WebApplication_StudentManagement_PrizeTest.Models;
@model StudentCourseViewModel
@{
    ViewBag.Title = "Student Course Information";
}

<div>
    @Html.ActionLink("Capture Student", "Index", "Student") |
    @Html.ActionLink("Capture Course", "Index", "Course")
</div>
<hr />

<h4>Capture Student Course Assignment</h4>
<table class="tablealign">
    <tr>
        <td>
            <div>
                <label>Student</label>
            </div>
        </td>
        <td>
            <div class="editor-field">
                @Html.DropDownListFor(model => model.StudentId, @Model.Students, new { @id = "cmbStudent", @maxlength = "50", @style = "width:350px;height:35px" })
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <div>
                <label>Course</label>
            </div>
        </td>
        <td>
            <div class="editor-field">
                @Html.DropDownListFor(model => model.CourseId, @Model.Courses, new { @id = "cmbCourse", @maxlength = "50", @style = "width:350px;height:35px" })
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <div>
               
            </div>
        </td>
        <td>
            <div class="editor-field">
                <input id="addStudentCourse" type="button" class="btn btn-default addStudentCourse" value="Add Course" />
            </div>
        </td>
    </tr>
</table>

<hr />

<div id="Student_Course_Info_PartialViewDiv">
    @Html.Action("Index", "StudentCourse")
</div>

<script>
    $(".addStudentCourse").on("click", function (e) {
        $.ajax({
            type: "POST",
            url: '@Url.Action("AddStudentCourse", "StudentCourse")',
            data: { studentId: $('#cmbStudent').val(), courseId: $('#cmbCourse').val() },
            success: function (response) {
                if (response.success) {
                    window.location.reload();
                }
                AjaxOnSuccess(response);
            }
        });
    });
</script>